// Saves options to chrome.storage
function save_options() {
  var widthMemo = document.getElementById('widthMemo').value;
  var heightMemo = document.getElementById('heightMemo').value;
  var kaigyoMemo = document.getElementById('kaigyoMemo').value;
  var encodeText = document.getElementById('encodeText').value;
  var fontsizeMemo = document.getElementById('fontsizeMemo').value;
  var fontfamilyMemo = document.getElementById('fontfamilyMemo').value;
  var fontweightMemo = document.getElementById('fontweightMemo').value;
  chrome.storage.sync.set({
    widthMemo: widthMemo,
    heightMemo: heightMemo,
    kaigyoMemo: kaigyoMemo,
    encodeText: encodeText,
    fontsizeMemo: fontsizeMemo,
    fontfamilyMemo: fontfamilyMemo,
    fontweightMemo: fontweightMemo
  }, function() {
    // Update status to let user know options were saved.
    var status = document.getElementById('status');
    status.textContent = 'Options saved.';
    setTimeout(function() {
      status.textContent = '';
    }, 750);
    // check sjispad message
    chrome.runtime.sendMessage({name: "reloadSjispad"}, function(response) {
        if (response.data == "reloadOK") {
            window.open('', '_self', '');
            window.close();
        }
    });

  });
}


function set_options() {
  var widthMemo = document.getElementById('widthMemo').value;
  var heightMemo = document.getElementById('heightMemo').value;
  var kaigyoMemo = document.getElementById('kaigyoMemo').value;
  var encodeText = document.getElementById('encodeText').value;
  var fontsizeMemo = document.getElementById('fontsizeMemo').value;
  var fontfamilyMemo = document.getElementById('fontfamilyMemo').value;
  var fontweightMemo = document.getElementById('fontweightMemo').value;
  chrome.storage.sync.set({
    widthMemo: widthMemo,
    heightMemo: heightMemo,
    kaigyoMemo: kaigyoMemo,
    encodeText: encodeText,
    fontsizeMemo: fontsizeMemo,
    fontfamilyMemo: fontfamilyMemo,
    fontweightMemo: fontweightMemo
  }, function() {
    // Update status to let user know options were saved.
    var status = document.getElementById('status');
    status.textContent = 'Options saved.';
    setTimeout(function() {
      status.textContent = '';
    }, 750);
  });
}

// Restores select newline code and size of memo textarea
// stored in chrome.storage.
function restore_options() {
  chrome.storage.sync.get({
    widthMemo: '640',
    heightMemo: '400',
    kaigyoMemo: 'CRLF',
    encodeText: 'Shift-JIS',
    fontsizeMemo: '10',
    fontfamilyMemo: 'sans-serif',
    fontweightMemo: 'normal'
  }, function(items) {
    document.getElementById('widthMemo').value = items.widthMemo;
    document.getElementById('heightMemo').value = items.heightMemo;
    document.getElementById('kaigyoMemo').value = items.kaigyoMemo;
    document.getElementById('encodeText').value = items.encodeText;
    document.getElementById('fontsizeMemo').value = items.fontsizeMemo;
    document.getElementById('fontfamilyMemo').value = items.fontfamilyMemo;
    document.getElementById('fontweightMemo').value = items.fontweightMemo;
  });
}
function setDefault(){
  chrome.storage.sync.set({
    widthMemo: '640',
    heightMemo: '400',
    kaigyoMemo: 'CRLF',
    encodeText: 'Shift-JIS',
    fontsizeMemo: '10',
    fontfamilyMemo: 'sans-serif',
    fontweightMemo: 'normal'
  }, function() {
    restore_options();
  });
}

document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('setStyle').addEventListener('click', set_options);
document.getElementById('saveStyle').addEventListener('click', save_options);
document.getElementById('setDefault').addEventListener('click', setDefault);
